//
//  LVIMFileUtils.h
//  CMIMLib
//
//  Created by 鹿容 on 2021/9/23.
//  Copyright © 2021 cmcm. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "LVIMEnumDefine.h"

NS_ASSUME_NONNULL_BEGIN

@interface LVIMFileUtils : NSObject

/**
 @brief 获取缓存的日志路径
 **/
+(NSString*)getCacheLogPath;

/**
 @brief 获取缓存的数据库路径
 **/
+(NSString*)getCacheDatabasePath;

/**
 @brief 获取随机缓存的媒体文件名称
 @param fremote 是否是远程下载的文件
 @param mftype 媒体类型(LVIM_MEDIA_FILE_TYPE)
 @param fid 发送者ID
 @param tid 接收者ID
 @param fsuffix 文件后缀
 **/
+(NSString*)getCacheMediaFileName:(BOOL)fremote mftype:(LVIM_MEDIA_FILE_TYPE)mftype fid:(NSString*)fid tid:(NSString*)tid fsuffix:(NSString*)fsuffix;

/**
 @brief 获取文件大小
 **/
+ (float) getFileSize:(NSString *)path;

@end

NS_ASSUME_NONNULL_END
