//
//  LVIMMediaMessage.h
//  CMIMLib
//
//  Created by 鹿容 on 2021/10/12.
//  Copyright © 2021 cmcm. All rights reserved.
//

#import "LVIMMessage.h"

NS_ASSUME_NONNULL_BEGIN

@interface LVIMMediaMessage : LVIMMessage

/**
 @brief 是否需要在多媒体文件上传之前就存入数据库,默认为NO
 **/
@property (nonatomic,assign)BOOL needSaveToDB;

/**
 @brief 上传多媒体消息的文件
 **/
- (void)uploadFilesWithProgress:(LVIM_PROGRESS_CALLBACK)progressCallback complete:(LVIM_DOWNLOAD_CALLBACK)uploadCallback;

/**
 @brief 根据消息文件上传状态和消息的发送状态自动更新数据和本地数据库,
 内部自动调用
 **/
- (void)updateMediaData;

/**
 @brief 通过普通消息初始化多媒体消息
 **/
- (instancetype)initWithIMMessage:(LVIMMessage *)message;

@end

NS_ASSUME_NONNULL_END
