
#ifndef _LVIM_PROTOCOL_EXPORTS_H_
#define _LVIM_PROTOCOL_EXPORTS_H_

//------------------------------------------------------------------------------------------
//对外的消息类型
#if !defined(__LVIM_SDK_COMPILE_MODE__)
//------------------------------------------------------------------------------------------

//报文消息类型Type
enum LVIM_CMD_TYPE {
    //单聊
    LVIM_CMD_TYPE_CHAT = 17,
    //群聊
    LVIM_CMD_TYPE_GROUPCHAT = 15,
    //事件:(使用功能：用户禁言)
    LVIM_CMD_TYPE_EVENT = 32,
    //直播间消息
    LVIM_CMD_TYPE_ROOM = 20,
    //推送消息
    LVIM_CMD_TYPE_PUSH = 12,
    //公告消息
    LVIM_CMD_TYPE_OFFICIAL = 31,
};

//消息二级分类SubType
enum LVIM_SUB_TYPE {
    //自定义文本内容类型
    LVIM_SUB_TYPE_TEXT = 0,
    //自定义图片内容类型
    LVIM_SUB_TYPE_IMAGE = 1,
    //自定义音频内容类型
    LVIM_SUB_TYPE_AUDIO = 2,
    //自定义视频内容类型
    LVIM_SUB_TYPE_VEDIO = 3,
    //自定义军团文本内容类型
    LVIM_SUB_TYPE_LEGION_TEXT = 5,
    //自定义军团图片内容类型
    LVIM_SUB_TYPE_LEGION_IMAGE = 6,
    //自定义军团音频内容类型
    LVIM_SUB_TYPE_LEGION_AUDIO = 7,
    //自定义军团视频内容类型
    LVIM_SUB_TYPE_LEGION_VIDEO = 8,
    //自定义文本内容群消息
    LVIM_SUB_TYPE_GROUP_CHAT = 22,
    //带有图片检测的房间消息
    LVIM_SUB_TYPE_ROOM_IMAGE = 83,
};

//------------------------------------------------------------------------------------------
#endif //__LVIM_SDK_COMPILE_MODE__
//------------------------------------------------------------------------------------------


#endif //_LVIM_PROTOCOL_EXPORTS_H_
